﻿$ErrorActionPreference = 'Stop'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition
$download_dir = "$Env:TEMP\chocolatey\$packageName\$Env:ChocolateyPackageVersion"

$packageArgs = @{
  packageName    = 'universal-ctags'
  url            = 'https://github.com/universal-ctags/ctags-win32/releases/download/2022-03-31/p5.9.20220327.0-15-g94e964ef/ctags-2022-03-31_p5.9.20220327.0-15-g94e964ef-x86.zip'
  url64Bit       = 'https://github.com/universal-ctags/ctags-win32/releases/download/2022-03-31/p5.9.20220327.0-15-g94e964ef/ctags-2022-03-31_p5.9.20220327.0-15-g94e964ef-x64.zip'
  checksum       = '0FA5978B03573DDF409D07ABFE3C07D45B21BE40317BBA44E3CE70A30055BAAE'
  checksum64     = '48A86BCE2C862C3193DCFDC6ADF475F8025157DD0D496501FA826B4241139BF2'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $toolsPath
}
Install-ChocolateyZipPackage @packageArgs
